Mail archive
alpine-aports

[alpine-aports] [PATCH] main/bind: move dnssec to -tools subpackage

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Mon, 16 Nov 2015 13:55:41 +0100

---
 main/bind/APKBUILD | 28 +++++++++++++++++++++-------
 1 file changed, 21 insertions(+), 7 deletions(-)
diff --git a/main/bind/APKBUILD b/main/bind/APKBUILD
index d76d917..e2d2c08 100644
--- a/main/bind/APKBUILD
+++ b/main/bind/APKBUILD
_at_@ -1,3 +1,4 @@
+# Contributor: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
 # Contributor: Carlo Landmeter <clandmeter_at_gmail.com>
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=bind
_at_@ -5,15 +6,15 @@ pkgver=9.10.3
 _ver=${pkgver%_p*}
 _p=${pkgver#*_p}
 [ "$_p" != "$pkgver" ] && _ver="${_ver}-P$_p"
-pkgrel=0
-pkgdesc="The Berkeley Internet Name Domain Name Server and tools"
+pkgrel=1
+pkgdesc="The ISC DNS server"
 url="http://www.isc.org"
 arch="all"
 license="MIT BSD"
 depends=""
 pkgusers="named"
 pkggroups="named"
-makedepends="openssl-dev libcap-dev perl linux-headers bsd-compat-headers"
+makedepends="bash openssl-dev libcap-dev perl linux-headers bsd-compat-headers"
 install="$pkgname.pre-install"
 subpackages="$pkgname-doc $pkgname-dev $pkgname-libs $pkgname-tools"
 source="http://ftp.isc.org/isc/bind9/${_ver}/bind-${_ver}.tar.gz
_at_@ -32,7 +33,7 @@ prepare() {
 	cd "$_builddir"
 
 	### http://bugs.gentoo.org/show_bug.cgi?id=227333
-	export CFLAGS="$CFLAGS -D_GNU_SOURCE" 
+	export CFLAGS="$CFLAGS -D_GNU_SOURCE"
 
 	# Adjusting PATHs in manpages
 	for i in bin/named/named.8 bin/check/named-checkconf.8 bin/rndc/rndc.8; do
_at_@ -85,6 +86,11 @@ package() {
 
 	make DESTDIR="$pkgdir" install || return 1
 
+	# FIXME: Workaround for broken symlink handling in abuild
+	rm -f "$pkgdir"/usr/share/man/man1/bind9-config.1
+	find "$pkgdir"/usr/share/man/man3 -name 'lwres_*' \
+		-type f -exec rm -f \{\} \;
+
 	install -Dm755 "$srcdir"/named.initd \
 		"$pkgdir"/etc/init.d/named || return 1
 	install -Dm644 "$srcdir"/named.confd \
_at_@ -99,17 +105,25 @@ package() {
 		"$pkgdir"/var/bind/pri/127.zone || return 1
 	install -Dm644 "$srcdir"/localhost.zone \
 		"$pkgdir"/var/bind/pri/localhost.zone || return 1
+
 	cd "$pkgdir"/var/bind
 	ln -s named.ca root.cache || return 1
 }
 
 tools() {
-	install=
-	depends=
+	pkgdesc="The ISC DNS tools"
+	install=""
+	depends=""
+
 	mkdir -p "$subpkgdir"/usr/bin
-	for i in dig host nslookup nsupdate; do
+	for i in dig host nslookup delv nsupdate; do
 		mv "$pkgdir"/usr/bin/${i} "$subpkgdir"/usr/bin/ || return 1
 	done
+
+	mkdir -p "$subpkgdir"/usr/sbin
+	for i in "$pkgdir"/usr/sbin/dnssec-*; do
+		mv "$i" "$subpkgdir"/usr/sbin || return 1
+	done
 }
 
 md5sums="d8cbf04a62a139a841d4bf878087a555  bind-9.10.3.tar.gz
-- 
2.6.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Nov 16 2015 - 13:55:41 GMT